Package Details: ttf-inconsolata-g 20090213-4

Git Clone URL: https://aur.archlinux.org/ttf-inconsolata-g.git (read-only, click to copy)
Package Base: ttf-inconsolata-g
Description: Monospace font for pretty code listings and for the terminal modified by Leonardo Maffi (http://www.fantascienza.net/leonardo/)
Upstream URL: http://levien.com/type/myfonts/inconsolata.html
Licenses: unknown
Conflicts: ttf-inconsolata-g
Provides: ttf-inconsolata-g
Submitter: Cif
Maintainer: malathion
Last Packager: malathion
Votes: 158
Popularity: 0.122584
First Submitted: 2009-02-13 18:26 (UTC)
Last Updated: 2020-09-19 00:46 (UTC)

Pinned Comments

malathion commented on 2020-09-19 00:51 (UTC)

Hi. I have adopted this package.

xorg-font-util is no longer a dependency of any font. In fact, fonts do not have dependencies in arch. Therefore I have removed the dependencies from the PKGBUILD. You should consider removing them from your system as well.

Latest Comments

Nemorensis commented on 2021-03-09 15:36 (UTC)

yes it is up again.

malathion commented on 2021-03-06 20:33 (UTC)

Works for me.

Nemorensis commented on 2021-03-05 11:16 (UTC)

http://www.fantascienza.net/ seems to be down.

malathion commented on 2020-09-19 00:51 (UTC)

Hi. I have adopted this package.

xorg-font-util is no longer a dependency of any font. In fact, fonts do not have dependencies in arch. Therefore I have removed the dependencies from the PKGBUILD. You should consider removing them from your system as well.

chetjan commented on 2020-07-06 08:27 (UTC)

For anyone that needs to install this before the package is updated, edit the PKGBUILD and change xorg-font-utils to xorg-font-util (I.E. drop the s).

rien333 commented on 2020-07-01 09:39 (UTC)

xorg-font-utils no longer exists, could you update the dependencies?

upped commented on 2020-03-27 23:15 (UTC)

This has issues with emacs that you can workaround: https://emacs.stackexchange.com/questions/16818/cocoa-emacs-24-5-font-issues-inconsolata-dz/29397

But a permanent solution would be preferable.

malathion commented on 2020-01-22 17:45 (UTC)

Is there a way to get inconsolata-g in oblique, bold, or bold oblique etc? I am falling back to inconsolata in these faces but I would love to be able to use inconsolata-g in every context

JP-Ellis commented on 2016-10-25 12:13 (UTC) (edited on 2016-10-25 12:15 (UTC) by JP-Ellis)

The package contains an OTF font which should be installed in /usr/share/fonts/OTF and not in /usr/share/fonts/TTF. Perhaps the TTF file should be installed by this package (or rename the package to `otf-inconsolata-g`?)

commented on 2013-02-16 02:09 (UTC)

curl: (22) The requested URL returned error: 406 Not Acceptable ==> ERROR: Failure while downloading inconsolata-g_font.

kozaki commented on 2012-08-20 18:24 (UTC)

I couldn't download this with default makepkg.conf, every time I just got the following error: (...) ==> Retrieving Sources... -> Downloading ... curl: (22) The requested URL returned error: 406 Maybe the server rejects a specific user agent? beroal suggested setting user-agent to Mozilla: Add '--user-agent "Mozilla/4.0"' to curl options (http) in "/etc/makepkg.conf" which I did and it worked straight away :) Another solution would be to change from curl to wget.

jstjohn commented on 2012-06-04 22:13 (UTC)

package() should be used instead of build() because there is no compilation that takes place. Thanks!

Cif commented on 2012-05-01 21:18 (UTC)

Thanks dkasak, package updated with your diff

dkasak commented on 2012-05-01 14:26 (UTC)

Hello, I modified the PKGBUILD to correct some errors and fix some namcap warnings. More precisely: - Fixed mispelling of licence to "unknown" - Used $srcdir and $pkgdir instead of $startdir - Used arch 'any' instead of specifying 'x86_64' and 'i686' manually - Bumped pkgrel - Slight formatting changes (feel free to ignore these if you'd like) Here's a unified diff: http://www.pastie.org/pastes/3843811/text